%global modname zope.component

Summary: Zope Component Architecture
Name: python-zope-component
Version: 4.6.2
Release: %mkrel 1
Source0: https://pypi.io/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Python
BuildArch: noarch
URL: https://pypi.io/project/zope.component

%description
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%package -n python3-zope-component
Summary: Zope Component Architecture
Group: Development/Python
%{?python_provide:%python_provide python3-zope-component}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

Requires: python3-zope-interface
Requires: python3-zope-event

%description -n python3-zope-component
This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package, it provides facilities for
defining, registering and looking up components.

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%py3_build

# build Sphinx documents
COPYRIGHT=`grep Author: PKG-INFO |sed -e 's/Author: //'`
cat >docs/conf.py <<END
templates_path = ['_templates']
source_suffix = '.rst'
master_doc = 'index'
project = '%{modname}'
copyright = '$COPYRIGHT'
version = '%{version}'
release = '%{version}'
pygments_style = 'sphinx'
html_static_path = ['_static']
extensions = []
END

sphinx-build -b html docs/ html

rm -fr html/{.buildinfo,.doctrees}

%install
%py3_install

%files -n python3-zope-component
%doc CHANGES.rst COPYRIGHT.txt README.rst
%doc html/
%license LICENSE.txt
%{python3_sitelib}/zope/component/
%exclude %{python3_sitelib}/zope/component/*.txt
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Thu Oct 08 2020 kekepower <kekepower> 4.6.2-1.mga8
+ Revision: 1632671
- Update to version 4.6.2

* Sun Feb 16 2020 umeabot <umeabot> 4.5-2.mga8
+ Revision: 1534478
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 4.5-1.mga8
+ Revision: 1449146
- new version 4.5
- drop python 2 support

* Mon Jan 07 2019 kekepower <kekepower> 4.4.1-3.mga7
+ Revision: 1350637
- Rebuild for Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.4.1-2.mga7
+ Revision: 1290583
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 4.4.1-1.mga7
+ Revision: 1176010
- New version 4.4.1

* Sat Aug 05 2017 pterjan <pterjan> 4.3.0-2.mga7
+ Revision: 1135703
- Rebuild for python 3.6

* Mon May 22 2017 mitya <mitya> 4.3.0-1.mga6
+ Revision: 1104072
- Mageify
- imported package python-zope-component

